
QGIS Application - Bug report #2866

Polygon looks like filled if set border style differ from Solid Line

2010-07-06 12:52 AM - dr -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12926

Description

Open any vector layer. Set border style (new symbology) to any value differ from Solid Line, for example Dot Line. Set Fill style to No

brush. Start to zoom feature. After any steps of zooming polygon looks like filled.

History

#1 - 2010-07-06 01:21 AM - dr -

Make lines appear less jagged at the expense of some drawing performance must be enabled.

#2 - 2010-07-06 02:32 AM - Martin Dobias

I'm unable to reproduce to reproduce on Ubuntu 10.04 64-bit, Qt 4.6.2

#3 - 2010-12-12 08:47 AM - Giovanni Manghi

Unable to reproduce with trunk (commit:8586feb6 (SVN r14893)) under Linux. Still true under Windows?

#4 - 2010-12-12 10:01 AM - dr -

Try to reproduce under Windows, looks like bug still exists (commit:8586feb6 (SVN r14893)), winXP.

#5 - 2010-12-12 10:22 AM - Giovanni Manghi

just tested osgeo4w/trunk under windows seven 32 bit and I cannot reproduce it.

#6 - 2010-12-12 10:28 AM - dr -

Are you set "Make lines appear less jagged at the expense of some drawing performance must be enabled" option?

#7 - 2010-12-12 10:33 AM - Giovanni Manghi

yes, on both OS
#8 - 2010-12-12 11:53 PM - Maxim Dubinin

surprisingly I confirm, commit:8586feb6 (SVN r14893), [[WinXP]], 32bit

"Make lines appear less" is turned off.

my style

http://gis-lab.info/images/screenshots/20101213-jig-40kb.jpg

example of an error

http://gis-lab.info/images/screenshots/20101213-wwe-78kb.jpg

layer (admin.shp)

http://gis-lab.info/data/geosample/admin.7z

#9 - 2010-12-13 06:32 AM - Giovanni Manghi

The weirdest things is that today I can confirm it on win Seven, but only if "Make lines appear less jagged..." is turned on.

#10 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#11 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#12 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#13 - 2014-02-27 11:37 PM - Martin Dobias

- Assignee deleted (Martin Dobias)

- Pull Request or Patch supplied set to No

#14 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#15 - 2015-11-18 06:45 AM - Médéric RIBREUX

- % Done changed from 0 to 100

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Hello, bug triage...

I am not able to reproduce it under MS-Windows 7 for QGIS 2.13 master. I can zoom at any level and the polygon is never filled.

I am closing this bug.
